Resume a monitor (set enabled=true)
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/resume \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"config": {
"hostname": "<string>",
"recordTypes": [],
"nameservers": [
"<string>"
],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 123,
"enabled": true,
"regions": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"assertions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {
"substring": "<string>"
}
}
],
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pingUrl": "<string>",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
},
"auth": {
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"incidentPolicy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerRules": [
{
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123
}
],
"confirmation": {
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorRegionCount": 123,
"checkFrequencySeconds": 123
},
"alertChannelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}Monitors
Resume a monitor (set enabled=true)
POST
/
api
/
v1
/
monitors
/
{id}
/
resume
Resume a monitor (set enabled=true)
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{id}/resume \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"config": {
"hostname": "<string>",
"recordTypes": [],
"nameservers": [
"<string>"
],
"timeoutMs": 123,
"totalTimeoutMs": 123
},
"frequencySeconds": 123,
"enabled": true,
"regions": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"assertions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"config": {
"substring": "<string>"
}
}
],
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": 123,
"name": "<string>",
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pingUrl": "<string>",
"environment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"slug": "<string>"
},
"auth": {
"vaultSecretId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"incidentPolicy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"triggerRules": [
{
"count": 123,
"windowMinutes": 123,
"thresholdMs": 123
}
],
"confirmation": {
"minRegionsFailing": 123,
"maxWaitSeconds": 123
},
"recovery": {
"consecutiveSuccesses": 123,
"minRegionsPassing": 123,
"cooldownMinutes": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"monitorRegionCount": 123,
"checkFrequencySeconds": 123
},
"alertChannelIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.devhelm.io/llms.txt
Use this file to discover all available pages before exploring further.
⌘I